View Issue Details

IDProjectCategoryView StatusLast Update
0003209Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.197 
Target VersionFixed in Version6.5.0.207 
Summary0003209: Rig Control has incorrect labels for FTDX-1200 noise blanker sliders
DescriptionThe noise Blanker sliders in Rig Control don't seem to work correctly.
Steps To Reproduce1) Fire up Rig Control, connect to an FTDX-1200
2) Use the "Menu" button on the radio to reach the menu settings
3) Use the VFO B dial to scroll to settings 33 to 35

4) In Rig Control, add the 033 and 034 sliders to the layout
5) 034 is labeled "Noise Blanker". It seem to work fine to change the radio, and reflects the radio's changes correctly.

BUG#1) 033 is labeled "NB Level". It doesn't work. Maybe it's meant to be a different parameter, or maybe it is redundant to the #34 setting and should just be removed.
TagsFTDX-1200, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

related to 0003063 new 3 - Current Dev List Guidelines needed for design of Rig Control radio support 

Activities

K7ZCZ

2019-03-06 10:17

administrator   ~0007588

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4867

WA9PIE

2019-03-26 14:12

administrator   ~0007743

Menu item 33 on my test radio is "ANT2 SETTING". As such, it seems unrelated to this issue.
Menu item 34 on my test radio is "NB LEVEL". It works fine.
Menu item 35 on my test radio is "BEEP LEVEL". It works fine.

In the layout, the slider labeled "Noise Blanker" is redundant to "034 Noise Blanker" and should be removed.

Otherwise...

I've validated this change. I'm sending it back as "feedback" in case the developer wants to remove the redundant option or review my findings.

K7ZCZ

2019-03-26 16:45

administrator   ~0007766

Please: call me "Mike".

The team hasn't settled on a set of rules for deciding which features of a radio are represented, how they're presented, or how they're named. Mantis 3063 tracks this.

Almost every radio we claim to support has some issue with some settings that aren't reflected in Rig Control, have questions about labeling, or have issues with presentation, I don't think it makes much sense to block individual fixes (like this one) until 3063 is resolved and a path to fixing such controls is clear for the whole product. Without an agreement, tere's no way to tell which slider should be removed. Maybe "034 Noise Blanker" should be removed, or "Noise Blanker" should be removed.

WA9PIE

2019-03-26 20:46

administrator   ~0007773

Thanks for the explanation.

Validated.

Issue History

Date Modified Username Field Change
2019-03-01 17:06 K7ZCZ New Issue
2019-03-01 17:08 K7ZCZ Tag Attached: FTDX-1200
2019-03-01 17:08 K7ZCZ Tag Attached: Yaesu
2019-03-06 10:17 K7ZCZ Assigned To => K7ZCZ
2019-03-06 10:17 K7ZCZ Status new => resolved
2019-03-06 10:17 K7ZCZ Resolution open => fixed
2019-03-06 10:17 K7ZCZ Note Added: 0007588
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-26 14:12 WA9PIE Note Added: 0007743
2019-03-26 14:12 WA9PIE Status resolved => feedback
2019-03-26 14:12 WA9PIE Resolution fixed => reopened
2019-03-26 14:12 WA9PIE Description Updated View Revisions
2019-03-26 14:12 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-26 16:45 K7ZCZ Note Added: 0007766
2019-03-26 16:45 K7ZCZ Status feedback => resolved
2019-03-26 16:45 K7ZCZ Resolution reopened => fixed
2019-03-26 16:45 K7ZCZ Relationship added related to 0003063
2019-03-26 20:46 WA9PIE Status resolved => closed
2019-03-26 20:46 WA9PIE Testing Not Started => Beta Successful
2019-03-26 20:46 WA9PIE Note Added: 0007773
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe